Notification handlers (Notificadores)

GET https://microweb.me/api/notification-handlers/
curl --request GET \
--url 'https://microweb.me/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
Parámetros Detalles Descripción
page Opcional Integer The page number that you want results from. Defaults to 1.
results_per_page Opcional Integer How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25.
{
    "data": [
        {
            "id": 1,
            "type": "email",
            "name": "Work email",
            "settings": {
                "email": "hey@example.com"
            },
            "is_enabled": true,
            "last_datetime": null,
            "datetime": "2026-04-13 11:51:38",
        }
    ],
    "meta": {
        "page": 1,
        "results_per_page": 25,
        "total": 1,
        "total_pages": 1
    },
    "links": {
        "first": "https://microweb.me/api/notification-handlers?page=1",
        "last": "https://microweb.me/api/notification-handlers?page=1",
        "next": null,
        "prev": null,
        "self": "https://microweb.me/api/notification-handlers?page=1"
    }
}
GET https://microweb.me/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://microweb.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
    "data": {
        "id": 1,
        "type": "email",
        "name": "Work email",
        "settings": {
            "email": "hey@example.com"
        },
        "is_enabled": true,
        "last_datetime": null,
        "datetime": "2026-04-13 11:51:38",
    }
}
POST https://microweb.me/api/notification-handlers
Parámetros Detalles Descripción
name Requerido String -
type Requerido String Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams , x , internal_notification
email Opcional String Available when: type = email Email
webhook Opcional String Available when: type = webhook Webhook URL
slack Opcional String Available when: type = slack Slack webhook URL
discord Opcional String Available when: type = discord Discord webhook URL
telegram Opcional String Available when: type = telegram Telegram API Token
telegram_chat_id Opcional String Available when: type = telegram Telegram Chat ID
microsoft_teams Opcional String Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Opcional String Available when: type = x Telegram API Token
x_consumer_secret Opcional String Available when: type = x Telegram API Token
x_access_token Opcional String Available when: type = x Telegram API Token
x_access_token_secret Opcional String Available when: type = x Telegram API Token
curl --request POST \
--url 'https://microweb.me/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
    "data": {
        "id": 1
    }
}
POST https://microweb.me/api/notification-handlers/{notification_handler_id}
Parámetros Detalles Descripción
name Opcional String -
type Opcional String Valores permitidos: email , webhook , slack , discord , telegram , microsoft_teams , x , internal_notification
email Opcional String Available when: type = email Email
webhook Opcional String Available when: type = webhook Webhook URL
slack Opcional String Available when: type = slack Slack webhook URL
discord Opcional String Available when: type = discord Discord webhook URL
telegram Opcional String Available when: type = telegram Telegram API Token
telegram_chat_id Opcional String Available when: type = telegram Telegram Chat ID
microsoft_teams Opcional String Available when: type = microsoft_teams Microsoft Teams webhook URL
x_consumer_key Opcional String Available when: type = x Telegram API Token
x_consumer_secret Opcional String Available when: type = x Telegram API Token
x_access_token Opcional String Available when: type = x Telegram API Token
x_access_token_secret Opcional String Available when: type = x Telegram API Token
is_enabled Opcional Boolean -
curl --request POST \
--url 'https://microweb.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
    "data": {
        "id": 1
    }
}
DELETE https://microweb.me/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://microweb.me/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \